curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/branches/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"from_branch": "<string>",
"from_version": 1
}
'{
"transaction_id": "<string>"
}Create a new branch
Create a new branch for table id starting from a source ref (another
branch and/or version), defaulting to the latest version of the main branch.
A valid request URL is required to generate request examples{
"transaction_id": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Name of the branch to create
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
Source branch to create the new branch from. When omitted, the new branch is created from the main branch.
Version of the source (branch or main) to create from. When omitted, the latest version of the source is used.
x >= 0Response
Create branch response
Response for create branch operation
Optional transaction identifier
Was this page helpful?